@import 'css/_variables.scss';

$modal-padding-inline: 69px;

.form {
  &__content {
    padding-inline: $modal-padding-inline;
  }

  &__pinHelper {
    color: $coa-grey-100;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
  }

  &__pinFormItemLabel {
    color: $coa-grey-100;
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 16px;
  }

  &__checkboxFormItemLabel {
    color: $coa-grey-100;
    font-size: 0.875rem;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    text-align: left;
    white-space: pre-wrap;
  }

  &__checkboxFormItem {
    :global {
      .ant-form-item-label {
        line-height: normal;
        text-align: left;
        white-space: pre-wrap;
      }
    }
  }

  &__optionLabel {
    color: $coa-grey-100;
    font-size: 0.875rem;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
  }

  &__checkbox {
    margin-top: 20px !important;
  }

  &__footer {
    padding-inline: $modal-padding-inline;
    display: flex;
    justify-content: center;
  }

  &__submitButton {
    width: 154px;
    height: 40px;
    font-weight: 500;
    font-size: 14px;
  }
}
